//  2021, CGVR (https://cgvr.informatik.uni-bremen.de/), Andre Mhlenbrock (muehlenb@uni-bremen.de)

#pragma once

#include "CoreMinimal.h"

#include "RegistrationStructs.h"


/**
 * Class which can detect a grid in a point cloud (which points must be given in the order
 * of the pixels of the original depth image).
 */
class VRKINECTREGISTRATION_API GridDetector
{
public:

	/*
	* Detect the grid in a single point cloud.
	*/

	static GridDetectionResult detectGrid(PointCloudImage pointCloud);
};
