// Copyright Epic Games, Inc. All Rights Reserved.

#include "VRKinectRegGameMode.h"
#include "VRKinectRegCharacter.h"
#include "UObject/ConstructorHelpers.h"

AVRKinectRegGameMode::AVRKinectRegGameMode()
{
	// set default pawn class to our Blueprinted character
	static ConstructorHelpers::FClassFinder<APawn> PlayerPawnBPClass(TEXT("/Game/ThirdPersonCPP/Blueprints/ThirdPersonCharacter"));
	if (PlayerPawnBPClass.Class != NULL)
	{
		DefaultPawnClass = PlayerPawnBPClass.Class;
	}
}
